package basic;

import java.io.InputStream;

public class LIMITStatement extends Statement {

  private String limitAddress;

  public LIMITStatement(LexicalTokenizer lt) throws BASICSyntaxError {
    super("LIMIT", true, false, true);

    parse(lt);
  }

  public Statement doit(Program pgm, InputStream in, BasicPrintStream out) throws BASICRuntimeError {
    return pgm.nextStatement(this);
  }

  public String unparse() {
    return "LIMIT";
  }

  public void parse(LexicalTokenizer lt) throws BASICSyntaxError {

    Token t = lt.nextToken();

    if (t == null) {
      throw new BASICSyntaxError();
    } else {

    }
  }
}
