package basic;

import java.io.InputStream;
import java.io.PrintStream;
import java.util.Vector;

import jp.gr.java_conf.sol.basic.*;

public class UnknownStatement extends Statement {

  private String name;

  public UnknownStatement(String name, LexicalTokenizer lt) throws BASICSyntaxError {
    super("NONE", false, false, false);
    this.name = name;
  }

  public Statement doit(Program pgm, InputStream in, BasicPrintStream out) throws BASICRuntimeError {
    throw new BASICRuntimeError("SYNTAX ERROR IN "+line);
  }

  public String unparse() {
    return name+"(UNKNOWN STATEMENT)";
  }

  public void parse(LexicalTokenizer lt) throws BASICSyntaxError {
  }

}
