package jp.gr.java_conf.sol.basic.mz700;

import java.awt.*;
import java.awt.event.*;
import java.applet.*;
import java.io.*;
import java.net.*;

import jp.gr.java_conf.sol.basic.*;

import basic.*;

public class MZ700Applet extends Applet {

  boolean isStandalone = false;

  Button button1 = new Button();
  FlowLayout flowLayout1 = new FlowLayout();

  MZ700Frame frame;

  public MZ700Applet() {
  }

  public void init() {
    try  {
      jbInit();
    } catch(Exception e)  {
      e.printStackTrace();
    }
  }

  private void jbInit() throws Exception {
    button1.setLabel("start");
    button1.addActionListener(new java.awt.event.ActionListener() {

      public void actionPerformed(ActionEvent e) {
        button1_actionPerformed(e);
      }
    });
    this.setSize(new Dimension(64, 32));
    this.setLayout(flowLayout1);
    this.add(button1, null);
  }

  public String getAppletInfo() {
    return "Applet Information";
  }

  public String[][] getParameterInfo() {
    return null;
  }

  void button1_actionPerformed(ActionEvent e) {

    if (frame != null) {
      frame.setVisible(false);
      frame.dispose();
    }

    frame = new MZ700Frame();
    frame.setAppletMode(this, true);
    
    frame.setVisible(true);
    frame.toFront();

    ExecThread th = new ExecThread();
    th.start();
  }

  class ExecThread extends Thread {

    ExecThread() {
    }

    public void run() {

      // specify URL of font file
      URL url = getCodeBase();
      try {
        url = new URL(url, "MZ700fon.txt");
        System.out.println("font url:"+url);
      } catch (MalformedURLException ex) {
        ex.printStackTrace();
      }

      try {
        frame.initScreen(url);
      } catch (Exception ex) {
        ex.printStackTrace();
      }

      ConsoleMZ700 console = (ConsoleMZ700)frame.getConsole();

      //start interpreter
      CommandInterpreter ci = new CommandInterpreter(console);
      try {
        ci.start();
      } catch (Exception ex) {
        System.out.println("Caught an Exception :");
        ex.printStackTrace();
        try {
          System.out.println("Press enter to continue.");
          int c = System.in.read();
        } catch (IOException xx) { }
      }
    }
  }

  public String getParameter(String key, String def) {
    return isStandalone ? System.getProperty(key, def) :
    (getParameter(key) != null ? getParameter(key) : def);
  }

  public void destroy() {
    if (frame != null) {
      frame.dispose();
    }
  }
}

