package basic;

import java.io.InputStream;

public class CLSStatement extends Statement {

  public CLSStatement(LexicalTokenizer lt) {
    super("CLS", true, false, true);
  }

  public Statement doit(Program pgm, InputStream in, BasicPrintStream out) throws BASICRuntimeError {

    // clear screen buffer and repaint
    out.write(22);  // cls

    return pgm.nextStatement(this);
  }

  public String unparse() {
    return "CLS";
  }

  public void parse(LexicalTokenizer le) throws BASICSyntaxError {
  }
}
