
//^Cg:   i
//o[W:
//쌠:     Copyright (c) 1999
//:       [U[
//Ж:     Ж
//:       e

package jp.gr.java_conf.sol.basic;

import java.awt.*;
import java.applet.*;
import java.awt.event.*;
import java.io.*;
import java.net.*;
import java.util.*;

public class AppletFileDialog extends Dialog {
  Panel panel1 = new Panel();
  BorderLayout borderLayout1 = new BorderLayout();
  Panel panel2 = new Panel();
  Button button1 = new Button();
  java.awt.List list1 = new java.awt.List();

  URL codeBase;

  public AppletFileDialog(Applet applet, Frame frame, String title, boolean modal) {
    super(frame, title, modal);
    enableEvents(AWTEvent.WINDOW_EVENT_MASK);
    try  {
      jbInit();
      add(panel1);

      this.codeBase = applet.getCodeBase();
      Vector items = getDemoItems(applet);
      for(int i=0; i<items.size(); i++) {
        list1.add((String)items.elementAt(i));
      }

      pack();
    }
    catch(Exception ex) {
      ex.printStackTrace();
    }
  }

  public AppletFileDialog(Applet applet, Frame frame) {
    this(applet, frame, "Tape chooser", true);
  }

  public Vector getDemoItems(Applet applet) {

    Vector items = new Vector();

    try {

      URL listUrl = new URL(codeBase, "demolist");
      URLConnection uc = listUrl.openConnection();
      BufferedReader reader = new BufferedReader(new InputStreamReader(uc.getInputStream()));

      int ch;
      StringBuffer sb = new StringBuffer();

      while ((ch = reader.read()) != -1) {
        if (ch == '\n' || ch == '\r') {
          items.addElement(sb.toString());
          sb.setLength(0);  // clear
        } else {
          sb.append((char)ch);
        }
      }
    } catch (Exception ex) {
      ex.printStackTrace();
    }

    return items;
  }

  public URL getURL() {

    String selected = list1.getSelectedItem();
    URL url = null;

    try {
      url = new URL(codeBase, selected);
    } catch (MalformedURLException ex) {
    }

    System.out.println("url:"+url);

    return url;
  }

  void jbInit() throws Exception {
    panel1.setLayout(borderLayout1);
    button1.setLabel("OK");
    button1.addActionListener(new java.awt.event.ActionListener() {

      public void actionPerformed(ActionEvent e) {
        button1_actionPerformed(e);
      }
    });
    panel1.add(panel2, BorderLayout.SOUTH);
    panel2.add(button1, null);
    panel1.add(list1, BorderLayout.CENTER);
  }

  protected void processWindowEvent(WindowEvent e) {
    if(e.getID() == WindowEvent.WINDOW_CLOSING) {
      cancel();
    }
    super.processWindowEvent(e);
  }

  void cancel() {
    dispose();
  }

  void button1_actionPerformed(ActionEvent e) {
    //cancel();
    this.setVisible(false);
  }
}   
