package jp.gr.java_conf.sol.basic.mz700;

import basic.*;

public class MZTHeader {

  private BasicString fileName;

  public MZTHeader(byte[]b) {
    analyze(b);
  }

  protected void analyze(byte[] b) {

    StringBuffer sb = new StringBuffer();

    int ch = 0;
    int index = 1;
    while( (ch = b[index++]) != 0x0D) {
      sb.append((char)ch);
    }
    setFileName(sb.toString());
  }

  public BasicString getFileName() {
    return fileName;
  }

  public void setFileName(String newFileName) {
    fileName = new BasicString(newFileName);
  }
  
} 
